﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" MadCap:onlyLocalStylesheets="False">
    <head>
        <link href="../../Resources/TableStyles/Default-Table.css" rel="stylesheet" MadCap:stylesheetType="table" /><title>Uploading Accounts and associated Entitlements using Schema Upload</title>
        <link href="../../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Uploading Accounts and associated Entitlements using Schema Upload</h1>
        <p style="text-align: left;">This section provides information about uploading accounts and associated entitlements through the Schema upload method.&#160;The CSV file is used for uploading the entitlement data and the corresponding SAV file must contain the mapping details required for storing the uploaded data in IGA.</p>
        <p>IGA provides samples of SAV and CSV files containing example values for accounts&#160;and associated entitlements. These sample files are listed in the below table:</p>
        <div class="table-wrap">
            <table class="TableStyle-Default-Table" style="width: 100%;margin-left: 0;margin-right: auto;mc-table-style: url('../../Resources/TableStyles/Default-Table.css');" cellspacing="0">
                <col class="TableStyle-Default-Table-Column-Column1" />
                <col class="TableStyle-Default-Table-Column-Column1" />
                <col class="TableStyle-Default-Table-Column-Column1" />
                <thead>
                    <tr class="TableStyle-Default-Table-Head-Header1">
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">SAV&#160;File Name</th>
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">XSV File Name</th>
                        <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Description</th>
                    </tr>
                </thead>
                <tbody>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p class="table-text"><a href="../../Resources/Attachments/Account.sav">Accounts.sav</a>
                            </p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p class="table-text"><a href="../../Resources/Attachments/Account.csv">Account.csv</a>
                            </p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyA-Column1-Body1">
                            <p class="table-text">Use the sample files to upload accounts and associated entitlement data.&#160;</p>
                            <ul>
                                <li>
                                    <p class="table-text">Use the <label class="filename-path">Accounts.sav</label> file to upload the mapping details.</p>
                                </li>
                                <li>
                                    <p class="table-text">Use the <label class="filename-path">Account.csv</label> file to upload the accounts and associated entitlement data.</p>
                                </li>
                            </ul>
                            <p class="table-text">You can upload accounts for multiple applications, by using a separate SAV file. For each application-name, you can prefix the &lt;Application-name+Accounts&gt; as the naming convention for each SAV file. For example, if you are performing schema upload for AD, UNIX, and SAP then you can have three SAV files prefixed with each application-name followed by the word '<strong>Accounts</strong>' for the SAV file.</p>
                            <p class="table-text"><strong>Example</strong>: ADAccounts.SAV, UNIXAccounts.SAV, and SAPAccounts.SAV.&#160;&#160;</p>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
        <h2>Contents of the Upload Files</h2>
        <h3>Accounts.sav File</h3>
        <p>The below table lists the properties of Accounts.sav file.</p>
        <div class="table-wrap">
            <table class="TableStyle-Default-Table" style="width: 100%;margin-left: 0;margin-right: auto;mc-table-style: url('../../Resources/TableStyles/Default-Table.css');" cellspacing="0">
                <col class="TableStyle-Default-Table-Column-Column1" />
                <col class="TableStyle-Default-Table-Column-Column1" style="width: 713px;" />
                <thead>
                    <tr class="TableStyle-Default-Table-Head-Header1">
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Parameter</th>
                        <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Description</th>
                    </tr>
                </thead>
                <tbody>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">SystemName</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify the security system name for which the accounts are being imported.&#160;For example, AWS, Azure AD, AD, Oracle EBS.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">FileNameStartswith</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p style="text-align: left;" class="table-text">Specify the string that you want to add as a prefix to the name of the&#160;corresponding CSV file.&#160;When multiple CSV files with the same prefix are uploaded, all the files will be processed by IGA.</p>For example, if you specify&#160;Account for this property, then the CSV file name can be:&#160;Account1.csv,&#160;Account_Import.csv,&#160;Account_Import_2.csv, or any file name that starts with&#160;Account and has a .csv extension.</td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">ENTITLEMENT_TYPE</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify to indicate the entitlement type being uploaded for the account. If you have multiple Entitlement types available in the Security System then you need to specify Entitlement Types as comma-separated values. Specify&#160;Entitlement Values under the&#160;Entitlement Type column in the CSV file. The&#160;Entitlement values specified in the CSV file&#160;are mapped to the respective accounts mentioned in the CSV file.&#160;</p>
                            <p class="table-text">For example, SAM Role.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">DELETEACCOUNTENTITLEMENT</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify&#160;If you want to remove the account to entitlements mapping for accounts existing in IGA.</p>
                            <p class="table-text">The options are:</p>
                            <ul>
                                <li>
                                    <p class="table-text"><strong>Yes: </strong>Removes the account to entitlements mapping for accounts that already exist in IGA.</p>
                                </li>
                                <li>
                                    <p class="table-text"><strong>No: </strong>Does not remove the accounts to entitlements mapping for accounts that already exist in IGA.</p>
                                </li>
                            </ul>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">OVERWRITE_USER_ASSIGNED</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify whether you want to remove the existing account to user mapping.&#160;&#160;</p>
                            <p class="table-text">To understand this scenario, let us take a sample example.</p>
                            <p class="table-text">In IGA, there is an existing user u1 assigned an account acc1 with entitlements e1 and e2. In the uploaded csv file, you are having user u2 mapped with account acc1 with entitlements e3 and e4. If you specify OVERWRITE_USER_ASSIGNED as True, it will remove the mapping of user u1 to acc1 and replace it with mapping of u2 with acc1 and hence user u2 will have access to entitlements e3 and e4.</p>
                            <p class="table-text">If you have marked,&#160;OVERWRITE_USER_ASSIGNED as False, it will not remove the mapping of user u1 to acc1 even if you are uploading user u2 with acc1.&#160;</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">ACCOUNT_NOT_IN_FILE_ACTION</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify the action to take for the accounts that are not included in the CSV file but present in IGA:&#160;</p>
                            <p class="table-text">The options are:</p>
                            <ul>
                                <li>
                                    <p class="table-text"><strong>SUSPEND: </strong>On selecting this option the status of the account will be marked as Suspended From Import Service.</p>
                                </li>
                                <li>
                                    <p class="table-text"><strong>NOACTION: </strong>On selecting this option no&#160;action will be performed on accounts that exist in IGA but are not part of CSV file.</p>
                                </li>
                            </ul>
                            <p class="table-text">For example, if you have 200 accounts for a particular endpoint already in IGA and you are uploading 100 more accounts for the same endpoint to IGA, using this configuration if you specify SUSPEND, it will suspend the existing 200 accounts present in IGA and add the new set of 100 accounts. If you want to retain the existing accounts present in IGA, which in this case is 200 accounts, and add the additional 100 accounts specify NOACTION for ACCOUNT_NOT_IN_FILE_ACTION.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">IGNOREFIRSTLINE</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify whether you want to use the first line as the heading or not.</p>
                            <ul>
                                <li>
                                    <p class="table-text"><strong>True: </strong>Allows you to ignore the first line.</p>
                                </li>
                                <li>
                                    <p class="table-text"><strong>False: </strong>Allows you to use the first line as the heading.</p>
                                </li>
                            </ul>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">FILEIMPORTDELIMETER</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify the type of Delimeter, which is used to separate the various fields.&#160;For examples, (,), (\).</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">CORRELATEINACTIVEACCOUNTS</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify whether you want to&#160;correlate inactive accounts with a user. When&#160;CORRELATEINACTIVEACCOUNTS is set to True, it will map inactive accounts to the user(s). In addition, when set to True, it correlates these types of accounts (Active','InActive',Accounts.ACTIVESTATUS,Accounts.PROVISIONSTATUS,Accounts.INACTIVESTATUS,&#160;Accounts.SUSPENDEDFROMIMPORTSERVICESTATUS,Accounts.SUSSPENDEDSTATUS)&#160;to users.&#160;</p>
                            <p class="table-text">When&#160;CORRELATEINACTIVEACCOUNTS is set to False, it will not map inactive accounts to user(s). It correlates only these types of active account(s) ('Active',Accounts.ACTIVESTATUS,Accounts.PROVISIONSTATUS)&#160;to users when set to False.&#160;&#160; &#160;</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">SECURITYSYSTEM_NOT_AVAILABLE</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify the action to take for the accounts that are not included in the CSV file but present in IGA:&#160;</p>
                            <p class="table-text">The options are:</p>
                            <ul>
                                <li>
                                    <p class="table-text"><strong>CREATE: </strong>Creates a security system if it does not exist in IGA.</p>
                                </li>
                                <li>
                                    <p class="table-text"><strong>NOACTION: </strong>Does not create a security system.</p>
                                </li>
                            </ul>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">ENDPOINT_NOT_AVAILABLE</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify the action to take for the accounts that are not included in the CSV file but present in IGA:&#160;</p>
                            <p class="table-text">The options are:</p>
                            <ul>
                                <li>
                                    <p class="table-text"><strong>CREATE: </strong>Creates an endpoint if it does not exist in IGA.</p>
                                </li>
                                <li>
                                    <p class="table-text"><strong>NOACTION: </strong>Does not create an endpoint.</p>
                                </li>
                            </ul>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">ENT_TYPE_NOT_AVAILABLE</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify the action to take for the accounts that are not included in the CSV file but present in IGA:&#160;</p>
                            <p class="table-text">The options are:</p>
                            <ul>
                                <li>
                                    <p class="table-text"><strong>CREATE: </strong>Creates an entitlement type&#160;if it does not exist in IGA.</p>
                                </li>
                                <li>
                                    <p class="table-text"><strong>NOACTION: </strong>Does not create an entitlement type.</p>
                                </li>
                            </ul>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p class="table-text">ENT_VAL_NOT_AVAILABLE</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyA-Column1-Body1">
                            <p class="table-text">Specify the action to take for the accounts that are not included in the CSV file but present in IGA:&#160;</p>
                            <p class="table-text">The options are:</p>
                            <ul>
                                <li>
                                    <p><strong>CREATE: </strong>Creates an entitlement value if it does not exist in IGA.</p>
                                </li>
                                <li>
                                    <p><strong>NOACTION: </strong>Does not create an entitlement value.</p>
                                </li>
                            </ul>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
        <h3 style="text-align: left;" id="UploadingAccountsandassociatedEntitlementsusingSchemaUpload-Account.csvFile">Account.csv File</h3>
        <p>The below table lists the properties of Account.csv file.</p>
        <div class="table-wrap">
            <table class="TableStyle-Default-Table" style="width: 100%;margin-left: 0;margin-right: auto;mc-table-style: url('../../Resources/TableStyles/Default-Table.css');" cellspacing="0">
                <col class="TableStyle-Default-Table-Column-Column1" />
                <col class="TableStyle-Default-Table-Column-Column1" />
                <thead>
                    <tr class="TableStyle-Default-Table-Head-Header1">
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Parameter</th>
                        <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Description</th>
                    </tr>
                </thead>
                <tbody>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">ACCOUNTNAME</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify the name of the account you are uploading. For example, GBPU4.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">endpointname</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">Specify the endpoint name associated with the security system for the account you are uploading.&#160;For example, CorpAD.</td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Role</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify the name of the role associated with the entitlement for the account you are uploading. For example, Admin, IT User.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">status</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify the status of the account, whether it is active or inactive for the account you are uploading.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">OWNERTYPE</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p style="text-align: left;" class="table-text">Specify the owner type value to specify if the account belongs to a user or user group for the account you are uploading.</p>
                            <ul>
                                <li>
                                    <p class="table-text"><strong>User: </strong>To mark that the account belongs to a user.</p>
                                </li>
                                <li>
                                    <p class="table-text"><strong>User Group: </strong>To mark that the account belongs to a user group.</p>
                                </li>
                            </ul>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">OWNERUSER</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify the name of the owner associated with a manager for the account you are uploading.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">OWNERRANK</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify the rank of the owner for the account you are uploading. You can specify values from 1 to 25.&#160;</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p class="table-text">OPERATION</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyA-Column1-Body1">
                            <p class="table-text">Specify whether you want to add an owner (add), edit an owner (edit), or delete an owner (delete). Based on the operation specified (add, edit, or delete) owners are added, modified, or deleted from the account ownership.</p>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
        <h2>Uploading the Accounts and associated Entitlements Details</h2>
        <h3>Prerequisites</h3>
        <ul>
            <li>Download the required sample CSV and SAV files, add the account details to them, and keep them ready for uploading.</li>
            <li>Ensure that the CSV file name must start with the string that you&#160;specified for the&#160;<strong>FileNameStartswith&#160;</strong>property.</li>
            <li>Ensure that the SAV file name is suffixed with Accounts.</li>
        </ul>
        <h3 style="text-align: left;" id="UploadingAccountsandassociatedEntitlementsusingSchemaUpload-UploadProcedure">Upload Procedure</h3>
        <ol>
            <li>
                <p>Click<strong> Admin &gt; Settings &gt; File Directory</strong>.<br />The<strong> File Directory </strong>page is displayed.</p>
            </li>
            <li>
                <p>Select the tab depending on the file you want to upload (<strong>SAV </strong>for uploading an SAV file, <strong>Datafiles </strong>for uploading a CSV file).&#160;</p>
            </li>
            <li>
                <p>Click the<strong> Upload </strong>icon or you can also select<strong> Upload New File</strong>.<br />The<strong> File To Upload </strong>dialog box is displayed.</p>
            </li>
            <li>
                <p>In the<strong> File To Upload </strong>dialog box, do the following:</p>
                <ol style="list-style-type: lower-alpha;">
                    <li>
                        <p>Click&#160;<strong>Select</strong>&#160;next to the&#160;<strong>Data File </strong>box.</p>
                    </li>
                    <li>
                        <p>Select the file you want to upload, and then click&#160;<strong>Open</strong>.<br />The selected file is displayed in&#160;the<strong> Data File </strong>box.</p>
                    </li>
                    <li>
                        <p>Click<strong> Upload</strong>. The newly uploaded file is added to IGA.<br />After the upload is successful, the<strong> File Uploaded Successfully </strong>message appears at the top of the page.</p>
                    </li>
                </ol>
                <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                    <p class="note">If an SAV file or a CSV file with the same name exists in IGA, the version of the newly uploaded file is incremented numerically. For example, if the Accounts.sav file with version number 1 already exists, then version number 2 is assigned to the newly uploaded file.</p>
                </div>
            </li>
            <li>
                <p class="auto-cursor-target">Create a new job from&#160;<strong>Admin &gt; Job Control Panel &gt; Add New Job</strong>.</p>
                <ol style="list-style-type: lower-alpha;">
                    <li>
                        <p class="auto-cursor-target">Select&#160;<strong>Job Type </strong>as&#160;<strong>SCHEMA &gt; SchemaUserJob</strong>.&#160;</p>
                    </li>
                    <li>
                        <p>Specify the<strong> Job Name </strong>and click<strong> Save</strong>.&#160;<br />If you are using IGA version prior to 5.5.0, then select<strong> Admin &gt; Job Control Panel &gt; Add New Job &gt; </strong>select <strong>SCHEMA File based Accounts Import (SchemaAccountJob)</strong> in<strong> Job Type</strong>.<br />Specify the Job Name to create a job trigger, specify the schedule details as per your requirement.</p>
                    </li>
                    <li>
                        <p>To start the job, click&#160;<strong>Action</strong>, then click&#160;<strong>START</strong>.</p>
                    </li>
                </ol>
            </li>
        </ol>
        <p>After&#160;the job is executed,&#160;the corresponding entitlement data is uploaded to IGA. The status of the job is available in&#160;<strong style="text-align: left;">Job History Details</strong>. If there is a mismatch in the&#160;number of columns in CSV and SAV files, it is captured in the&#160;<strong style="text-align: left;">Response&#160;</strong>column.</p>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p class="note">If you try to create an account through schema import, and an account with the same name exists in the same endpoint, the schema import job is marked as&#160;<strong style="text-align: left;">Discontinued </strong>when&#160;the WSRETRY job (automated provisioning) is run.</p>
        </div>
    </body>
</html>